## org.apache.cassandra.streaming
Class PendingFile.PendingFileSerializer

    java.lang.Object
      org.apache.cassandra.streaming.PendingFile.PendingFileSerializer

All Implemented Interfaces:
  IVersionedSerializer<PendingFile>

Enclosing class:
  PendingFile

    public static class PendingFile.PendingFileSerializer

extends java.lang.Object
implements IVersionedSerializer<PendingFile>

Constructor Summary
`PendingFile.PendingFileSerializer()`

Method Summary
`PendingFile` `deserialize(java.io.DataInput dis, int version)` Deserialize into the specified DataInputStream instance.
`void` `serialize(PendingFile sc, java.io.DataOutput dos, int version)` Serialize the specified type into the specified DataOutputStream instance.
`long` `serializedSize(PendingFile pendingFile, int version)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PendingFile.PendingFileSerializer

    public PendingFile.PendingFileSerializer()

Method Detail

### serialize

    public void serialize(PendingFile sc,
                          java.io.DataOutput dos,
                          int version)
                   throws java.io.IOException

  Description copied from interface: `IVersionedSerializer`
  Serialize the specified type into the specified DataOutputStream instance.

  Specified by:
    `serialize` in interface `IVersionedSerializer<PendingFile>`
  Parameters:
    `sc` - type that needs to be serialized
    `dos` - DataOutput into which serialization needs to happen.
  Throws:
    `java.io.IOException`

### deserialize

    public PendingFile deserialize(java.io.DataInput dis,
                                   int version)
                            throws java.io.IOException

  Description copied from interface: `IVersionedSerializer`
  Deserialize into the specified DataInputStream instance.

  Specified by:
    `deserialize` in interface `IVersionedSerializer<PendingFile>`
  Parameters:
    `dis` - DataInput from which deserialization needs to happen.
  Returns:
    the type that was deserialized
  Throws:
    `java.io.IOException`

### serializedSize

    public long serializedSize(PendingFile pendingFile,
                               int version)

  Specified by:
    `serializedSize` in interface `IVersionedSerializer<PendingFile>`

Copyright © 2012 The Apache Software Foundation